Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.discovery
Class IncomingMulticastAnnouncement

    java.lang.Object
      net.jini.discovery.IncomingMulticastAnnouncement

public class IncomingMulticastAnnouncement
extends Object

Encapsulate the details of unmarshaling an incoming multicast announcement packet.

See Also:
  `OutgoingMulticastAnnouncement`

Field Summary
`protected String[]` | `groups` The groups of which the announcing lookup service is a member.
`protected LookupLocator` | `locator` The LookupLocator that has been announced.
`protected int` | `protoVersion` Current version of the multicast announcement protocol.
`protected ServiceID` | `serviceID` The ServiceID that has been announced.

Constructor Summary
`IncomingMulticastAnnouncement(DatagramPacket p)` Construct a new object, initialized by unmarshaling the contents of a multicast announcement packet.

Method Summary
`boolean` | `equals(Object o)` Two announcements are equal if they have the same service ID.
`String[]` | `getGroups()` Return the groups of which the announcing lookup service is a member.
`LookupLocator` | `getLocator()` Return a LookupLocator for performing unicast discovery of the announcing lookup service.
`ServiceID` | `getServiceID()` Return the ServiceID of the announcing lookup service.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceID

    protected ServiceID serviceID

  The ServiceID that has been announced.

### locator

    protected LookupLocator locator

  The LookupLocator that has been announced.

### groups

    protected String[] groups

  The groups of which the announcing lookup service is a member.

### protoVersion

    protected final int protoVersion

  Current version of the multicast announcement protocol.

  See Also:
    Constant Field Values

Constructor Detail

### IncomingMulticastAnnouncement

    public IncomingMulticastAnnouncement(DatagramPacket p)
                                  throws IOException

  Construct a new object, initialized by unmarshaling the contents of a multicast announcement packet.

Parameters:
  `p` - the packet to unmarshal
Throws:
  `IOException` - a problem occurred in unmarshaling the packet

Method Detail

### getServiceID

    public ServiceID getServiceID()

  Return the ServiceID of the announcing lookup service.

  Returns:
    the service ID of the announcing lookup service

### getLocator

    public LookupLocator getLocator()

  Return a LookupLocator for performing unicast discovery of the announcing lookup service.

  Returns:
    a `LookupLocator` for performing unicast discovery of the announcing lookup service

### getGroups

    public String[] getGroups()

  Return the groups of which the announcing lookup service is a member.

  Returns:
    the groups of which the announcing lookup service is a member.

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)

  Two announcements are equal if they have the same service ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved